cancel
Showing results for 
Search instead for 
Did you mean: 

xm Libraary error

SOLVED
Go to solution
Mousa55
Super Advisor

xm Libraary error

HI
i am installed the "HP C/aC++ Developer's Bundle for Evaluation" buit the problems the
xm library is not found.
plz send to me this file or instruct me Where is a position it.

thanks and best regards
10 REPLIES
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

What OS version and architecture are you using?
(The output of uname -a.)

For PA is should in /usr/lib/libxm.sl and on IPF it should be in /usr/lib/hpux32/libxm.so.
Mousa55
Super Advisor

Re: xm Libraary error

hi
the OS version 11.11i
and the architecture i am using "HP-UX ruxdevdb B.11.11 U 9000/800 2774492045 unlimited-user license"

thanks and best regards

and sorry to delay in replay
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

I assume that the Developer's Bundle came with xmotif?

Try searching for libxm:
$ find /usr/lib -name "libxm*"
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

>>Try searching for libxm:
$ find /usr/lib -name "libxm*"

The proper spelling is: libXm
/usr/lib/libXm.sl -> /usr/lib/libXm.4
This is part of X11MotifDevKit.MOTIF21-PRG.

So did you install X11MotifDevKit as part of the Developer's Bundle? Or did you spell it wrong as -lxm, instead of -lXm?
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

You still haven't assigned any points in 4 months for 170+ responses. This is not mutual. :-)
Please read:
http://forums1.itrc.hp.com/service/forums/helptips.do?#33
Mousa55
Super Advisor

Re: xm Libraary error

Hi

the /usr/lib -name "libxm*" it is not found
and the X11MotifDevKit it is not installed with the Developer's Bundle.
the 1.ACCX
2.Auxiliray-opt
3.C-ANSI-C
4.C-Analysis-C
5.C-Dev-C
6.CodeAdvisor
7.Debugprog
8.sentinel
9.WDB
10.WDB-GUI
this is only installed with C++ Developer's Bundle.

Note: i am sorry to Be late to i answer because the difference in time in the message arrival.
Thanks and Best Regards
Dennis Handly
Acclaimed Contributor
Solution

Re: xm Libraary error

>this is only installed with C/C++ Developer's Bundle.

At least it is documented that way.
I recently found out you can get "HP-UX Developer's Toolkit" for free, so no need to include it:
http://h20293.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=B3394BA

If our answers are help, please assign points.
Mousa55
Super Advisor

Re: xm Libraary error

Hi
thanks Mr. Dennis Handly
the problem it is done now.
the point:8-10

very thanks
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

>the point:8-10

I still don't see any points assigned by you.
Dennis Handly
Acclaimed Contributor

Re: xm Libraary error

Thanks.

You do know every response is eligible for points. Including all 176 previous responses to your other questions/threads?